Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.rpc
Class Call

    java.lang.Object
      |
      +--org.apache.soap.rpc.RPCMessage
            |
            +--org.apache.soap.rpc.Call

All Implemented Interfaces:
  Serializer

public class Call
extends RPCMessage

A `Call` object represents an RPC call. Both the client and the server use `Call` objects to invoke the method.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Sanjiva Weerawarana (sanjiva@watson.ibm.com)

Field Summary

Fields inherited from class org.apache.soap.rpc.RPCMessage
`ctx, encodingStyleURI, fullTargetObjectURI, header, methodName, params, targetObjectURI`

Constructor Summary
`Call()`
`Call(java.lang.String targetObjectURI, java.lang.String methodName, java.util.Vector params, Header header, java.lang.String encodingStyleURI)`
`Call(java.lang.String targetObjectURI, java.lang.String methodName, java.util.Vector params, Header header, java.lang.String encodingStyleURI, SOAPContext ctx)`

Method Summary
`void` | `addBodyPart(javax.mail.internet.MimeBodyPart part)` Add a MIME BodyPart.
`Envelope` | `buildEnvelope()`
`static Call` | `extractFromEnvelope(Envelope env, SOAPMappingRegistry smr, SOAPContext ctx)`
`static java.lang.String` | `getEnvelopeString(org.apache.soap.transport.SOAPTransport st)` Check if response root part is text/xml and return it as a String.
`SOAPMappingRegistry` | `getSOAPMappingRegistry()`
`org.apache.soap.transport.SOAPTransport` | `getSOAPTransport()`
`int` | `getTimeout()` Get timeout from our MessageContext.
`Response` | `invoke(java.net.URL url, java.lang.String SOAPActionURI)` Invoke this call at the specified URL.
`void` | `removeBodyPart(javax.mail.internet.MimeBodyPart part)` Remove a MIME BodyPart.
`void` | `setSOAPMappingRegistry(SOAPMappingRegistry smr)`
`void` | `setSOAPTransport(org.apache.soap.transport.SOAPTransport st)`
`void` | `setTimeout(int value)` Set timeout in our MessageContext.

Methods inherited from class org.apache.soap.rpc.RPCMessage
`buildEnvelope, extractFromEnvelope, getEncodingStyleURI, getFullTargetObjectURI, getHeader, getMethodName, getParams, getSOAPContext, getTargetObjectURI, marshall, setEncodingStyleURI, setFullTargetObjectURI, setHeader, setMethodName, setParams, setSOAPContext, setTargetObjectURI, toString, unmarshall`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Call

    public Call()

### Call

    public Call(java.lang.String targetObjectURI,
                java.lang.String methodName,
                java.util.Vector params,
    Header header,
                java.lang.String encodingStyleURI)

### Call

    public Call(java.lang.String targetObjectURI,
                java.lang.String methodName,
                java.util.Vector params,
    Header header,
                java.lang.String encodingStyleURI,
    SOAPContext ctx)

Method Detail

### setSOAPMappingRegistry

    public void setSOAPMappingRegistry(SOAPMappingRegistry smr)

### getSOAPMappingRegistry

    public SOAPMappingRegistry getSOAPMappingRegistry()

### setSOAPTransport

    public void setSOAPTransport(org.apache.soap.transport.SOAPTransport st)

### getSOAPTransport

    public org.apache.soap.transport.SOAPTransport getSOAPTransport()

### setTimeout

    public void setTimeout(int value)

  Set timeout in our MessageContext.
  Parameters:
    `value` - the maximum amount of time, in milliseconds

### getTimeout

    public int getTimeout()

  Get timeout from our MessageContext.
  Returns:
    value the maximum amount of time, in milliseconds

### addBodyPart

    public void addBodyPart(javax.mail.internet.MimeBodyPart part)
                     throws javax.mail.MessagingException

  Add a MIME BodyPart.
  Parameters:
    `part` - The Part to be appended
  Throws:
    `javax.mail.MessagingException`

### removeBodyPart

    public void removeBodyPart(javax.mail.internet.MimeBodyPart part)
                        throws javax.mail.MessagingException

  Remove a MIME BodyPart.
    `javax.mail.MessagingException`

### buildEnvelope

    public Envelope buildEnvelope()

### extractFromEnvelope

    public static Call extractFromEnvelope(Envelope env,
    SOAPMappingRegistry smr,
    SOAPContext ctx)
                                    throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### getEnvelopeString

    public static java.lang.String getEnvelopeString(org.apache.soap.transport.SOAPTransport st)
                                              throws SOAPException,
                                                     javax.mail.MessagingException,
                                                     java.io.IOException

  Check if response root part is text/xml and return it as a String. Temporarily placing this method here - I think it will be moved to SOAPContext after a redesign of SOAPTransport interaction.
    `SOAPException`
    `javax.mail.MessagingException`
    `java.io.IOException`

### invoke

    public Response invoke(java.net.URL url,
                           java.lang.String SOAPActionURI)
                    throws SOAPException

  Invoke this call at the specified URL. Valid only on the client side.
    `SOAPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache SOAP API Reference
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache XML Project. All Rights Reserved.